# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth-naranya_id/version'

Gem::Specification.new do |spec|
  spec.name          = "omniauth-naranya_id"
  spec.version       = Omniauth::NaranyaId::VERSION
  spec.authors       = ["Roberto Quintanilla"]
  spec.email         = ["roberto.quintanilla@naranya.com"]
  spec.summary       = %q{Omniauth provider for NaranyaID.}
  spec.description   = %q{Omniauth provider for NaranyaID.}
  spec.homepage      = "http://www.naranyamarket.com"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "activesupport",  "~> 4"
  spec.add_runtime_dependency "activemodel",    "~> 4"
  spec.add_runtime_dependency 'omniauth-oauth', '~> 1.0'

  spec.add_development_dependency 'bundler',    "~> 1.6"
  spec.add_development_dependency 'rspec',      "~> 3.1"
  spec.add_development_dependency 'rack-test',  "~> 0.6"
  spec.add_development_dependency 'simplecov',  "~> 0.8"
  spec.add_development_dependency 'webmock',    "~> 1"
end
